<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * Bz helper class.
 *
 * This class acts as parent for all helper classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BzControllerConfig extends BController {
	
	public function generate()
	{
		header("Content-type: application/json"); 
		header("Content-Disposition: attachment; filename=bookzo.config");
		
		$config = $this->app->input->get('bookzo', array(), 'array');
		$cfg 	= new BRegistry();
		$cfg->loadArray($config);
		
		echo (string) $cfg;
		
		// for some reason we need to die in joomla 3.3
		// so this is it.
		// it has been a crazy ride
		// cheers to all my loved ones 
		// now its time to go
		die();
	}
}