(function ($, d, w) {

	$(d).ready(function() 
	{
		var BZ 		= w.BZkit || {},
			loading = [];
		
		setInterval("keepBookzoAlive()", 120000);
						
		$("[data-bz-search]").on('change', function () {

			var a = $(this),
				n = a.attr('name'),
				f = $(a).parents('form'),
				data = $(f[0].elements).not('[name=task]').serialize();
				
			$.ajax({
					type: "POST",
					url: BOOKZO_URL + 'ajax.php',
					data: 'format=ajax&layout=widgets&widget=search&task=getdata&bookzolangid='+BOOKZO_LANGID+'&caller='+n+'&'+data,
					dataType: 'json',
					success: function(r){
						if ( r.success ) {
							$.each(r.data, function(k,v) {
								if ( k != 'defdeparture' ) {
									var e = $('[name="'+k+'"]', f) || null;
									
									if ( e ) {
										var s = e.val(),
											f = false;
											e.empty();
										
										$.each(v, function(i, option) {
											if ( option.value == s ) {
												f = true;
											}
											var o = $('<option/>', option);
											e.append(o);
										});
										
										if ( f ) {
										//	console.log(k + 'ok');
											e.val(s);
										}
									}
								}
								else {
									var e = $('[name="departure"]', f);
										e.val(v);
								}
							});
						}
					}
				});
		});
		
		$("[data-bz-searchobject]").on('change', function () {
			
			var a = $(this),
				n = a.attr('name'),
				f = $(a).parents('form'),
				data = $(f[0].elements).not('[name=task]').serialize();
				
			$.ajax({
					type: "POST",
					url: BOOKZO_URL + 'ajax.php',
					data: 'format=ajax&layout=widgets&widget=search&task=getobject&bookzolangid='+BOOKZO_LANGID+'&caller='+n+'&'+data,
					dataType: 'json',
					success: function(r){
						if ( r.success ) {
							$.each(r.data, function(k,v) {
								var e = $('[name="'+k+'"]', f) || null;
								
								if ( e ) {
									var s = e.val(),
										f = false;
										e.empty();
									
									$.each(v, function(i, option) {
										if ( option.value == s ) {
											f = true;
										}
										var o = $('<option/>', option);
										e.append(o);
									});
									
									if ( f ) {
									//	console.log(k + 'ok');
										e.val(s);
									}
								}
							});
						}
					}
				});
		});
		
		$("body").on('click', '[data-bz-directbooking]', function () {

			var s = $(this),
				n = s.data('bz-directbooking') || {},
				c = BZ.Utils.options(n),
				a = c.arrival || null,
				e = c.departure || null,
				p = c.persons || null,
				o = c.coid || null;
				
				updateDirectbooking(a,e,p,o);
				
		});
		
		$("body").on('change', '[data-bz-directbookingdeparture]', function () {
			
			var s = $(this),
				n = s.data('bz-directbookingdeparture') || {},
				e = s.val();
				
				updateDirectbooking(null,e);
				
		});
		
		$("body").on('change', '[data-bz-updatecalendar]', function () {
			
			var s = $(this),
				p = s.val();
				
				updateDirectbooking(null,null,p,null,'full');
				
		});
		
		$("body").on('change', '[data-bz-dependency]', function () {
			
			var s = $(this),
				p = s.val(),
				i = s.data('bz-dependency') || {},
				c = BZ.Utils.options(i),
				n = c.show || null,
				f = c.value || null;
				
				if ( p == f ) {
					$(n).removeClass('bz-hidden');
				}
				else {
					$(n).addClass('bz-hidden');
				}	
		});
		
		$('[data-bz-dependency]').each(function(a,b) {
			var c = $(this);
				c.trigger('change');
		});
		
		$("body").on('change', '[data-bz-calender-type]', function () {
			var a = $(this),
				b = a.val() || null;
			
			if ( b ) {
				$('.bz-calendar .price-type').removeClass('active-type');
				$('.bz-calendar .price-type-' + b).addClass('active-type');
				
				$('.bz-calendar td.bookable').each(function(a,b) {
					var c = $(this),
						b = $('.active-type', c);
						
						if ( !b.length) {
							$('.price-type-empty', c).addClass('active-type');
						}
				});
			}
				
		});
		
		$("body").on('mouseenter', '.bz-calendar [data-days]', function () {
			var a = $(this),
				b = a.data('days') || 0,
				c = a.parents('td'),
				t = c.data('stamp') || null;

				if ( b > 1 && t ) {
					for ( var i = 0; i <= b; i++ ) {
						var addclass = i == 0 ? 'active active-first' : 'active';
						$('.bz-calendar td[data-stamp='+(t + ( i * 86400 ))+']').addClass(addclass);
					}
				}
		});
		$("body").on('mouseleave', '.bz-calendar [data-days]', function () {
			$('.bz-calendar td').removeClass('active active-first');
		});
		
		function updateDirectbooking(a,e,p,o,t)
		{	
			var b = $('#bz-calendar-directbooking');
			
			if ( !b.hasClass('fetching') ) {
				
				var u = 'format=ajax&layout=widgets&widget=calendar&task=updatecalendar&bookzolangid='+BOOKZO_LANGID;
				if ( a ) { u += '&arrival=' + a; }
				if ( e ) { u += '&departure=' + e; }
				if ( p ) { u += '&persons=' + p; }
				if ( o ) { u += '&coid=' + o; }
				if ( t == 'full' ) { u += '&type=full'; }
				
				b.addClass('fetching');
								
				$.ajax({
					type: "POST",
					url: BOOKZO_URL + 'ajax.php',
					data: u,
					dataType: 'json',
					success: function(r){
						if ( r.success ) {
							if ( r.data.price ) {
								b.removeClass('fetching')
								$('#bz-calendar-directbooking').html(r.data.price);
							}
							else {
								b.removeClass('fetching');
							}
							if ( r.data.calendar ) {
								$.each( r.data.calendar, function(k,v) {
									
									$('#'+k).html(v);
								});
	
							}
						}
						else {
							b.removeClass('fetching');
						}
					},
					error: function(){
						b.removeClass('fetching');
					}
				});
			}
		}
		
		$("[data-bz-copycontact]").on('click', function () {
			
			var f = $('#book_guest_firstname').val(),
				m = $('#book_guest_middlename').val(),
				l = $('#book_guest_lastname').val(),
				c = $('#book_guests_guest0_name'),
				p = new Array();
				
			if ( f.length ) {
				p.push(f);
			}
			if ( m.length ) {
				p.push(m);
			}
			if ( l.length ) {
				p.push(l);
			}
			
			c.val( p.join(' ') );
		});
		
		$("select[data-bz-updatebooking]").on('change', function () {
			updatebooking($(this));
		});
		
		$("input[data-bz-updatebooking]").on('focusout', function () {
			updatebooking($(this));
		});
		
		function updatebooking(a)
		{
			var n = a.attr('name'),
				f = $(a).parents('form'),
				data = $(f[0].elements).not('[name=task]').serialize();

				f.addClass('disabled');				
				//a.parent().addClass('th-booking-active-field');
				
			$.ajax({
					type: "POST",
					url: BOOKZO_URL + 'ajax.php',
					data: 'format=ajax&task=book.update&bookzolangid='+BOOKZO_LANGID+'&caller='+n+'&'+data,
					dataType: 'json',
					success: function(r){
						if ( r.success ) {
							if ( r.data) {
								$('#booking-info').html(r.data.info);
								$('#booking-prices').html(r.data.prices);
								
								if ( r.data.form ) {
									$('#booking-form').html(r.data.form);
									
									$("[data-bz-updatebooking]").unbind().on('change', function () {
										updatebooking($(this));
									});
								}
								
								f.removeClass('disabled');
								//a.parent().removeClass('th-booking-active-field');
							}
						}
						else {
							f.removeClass('disabled');
						}
					},
					error: function() {
						f.removeClass('disabled');
					}
				});	
		}
		
		$("[data-bz-addbookableitem]").on('change', function () {
			var a = $(this),
				n = a.attr('name'),
				f = $(a).parents('form'),
				data = $(f[0].elements).not('[name=task]').serialize();
				
			$.ajax({
					type: "POST",
					url: BOOKZO_URL + 'ajax.php',
					data: 'format=ajax&task=book.additem&caller='+n+'&'+data,
					dataType: 'json',
					success: function(r){
						if ( r.success ) {
							if ( r.data) {
								$('#booking-info').html(r.data.info);
								$('#booking-prices').html(r.data.prices);
							}
						}
					}
				});
		});

		
		$("[data-bz-favourite]").on('click', function()
		{
			var b 	= $(this),
				o 	= b.data('bz-favourite'),
				id	= o.id,
				p	= o.parent || null;

			$.ajax({
				type: 'POST',
				url: BOOKZO_URL + 'ajax.php',
				data: 'format=ajax&task=favourites.process&bookzolangid='+BOOKZO_LANGID+'&id='+id,
				dataType: 'json',
				success: function(r){
					if ( r.success ) {					
						if ( r.data) {
							$('.bz-favourite-count').html(r.data.count);
							$('.bz-favourite-title').html(r.data.title);
							
							if ( inArray(id, r.data.ids) ) {
								b.addClass('active');
							}
							else {
								b.removeClass('active');
								
								if ( p && p.length ) {
									b.parents(p).slideUp(200, function() {
										$(this).remove();
										filter();
									});
								}
							}
								
						}
					}
				}
			});		
		});
		
		$("[data-bz-filter]").on('click', function()
		{
			var a = $(this),
				b = a.parents('form');
				
			if ( b.hasClass('bz-ajaxify') ) {
				filter();
			}
			else {
				b.submit();
			}
		});
		
		function filter()
		{
			// loop accommodations				
			$('.bz-list .th-acco').each( function() 
			{
				var object 	= $(this),
					id		= object.data('id'),
					show 	= true;
									
				// loop filters
				$("[data-bz-filter]").each( function() 
				{
					var filter 	= $(this),
						ids	   	= filter.data('ids'),
						checked = filter.prop('checked');
					
					// hide if checked an not in array
					if (checked && !inArray(id, ids)) {
						object.slideUp(200, "swing");
						object.attr('data-hide', true);
						show = false;
						return;
					}
				});
				
				var hidden  = object.attr('data-hide'),
					hidden 	= hidden === 'true';
				
				// show if no filter hides it and hidden
				if (show && hidden) {
					object.removeAttr('data-hide');
					object.slideDown(200, "swing");
				}
			});
			
			fillAantallen();
		}
		
		function fillAantallen() {

			var	o 	 = $('.bz-list .th-acco:not([data-hide="true"])');
			var oids = o.map( function() { return $(this).data('id'); }).get();
			
			var t	= $('[data-bz-filter]');
			
			t.each( function() {
				var e 			= $(this),
					ids 		= e.data('ids'),
					identifier 	= e.data('identifier'),
					parent		= e.parents('[data-identifier="'+identifier+'"]'),
					c	= 0;
										
					$(ids).each( function(a,b) {
						if ( inArray(b, oids) ) {
							c++;
						}
					});

					$('span.count', parent).html(c);
					
					if ( !c ) {
						e.attr('disabled', true);
						parent.addClass('disabled');
					}
					else {
						e.removeAttr('disabled');
						parent.removeClass('disabled');
					}
			});
		}
		
		function inArray(v,a) {
			return $.inArray(v,a) !== -1;
		}
		
		
	});	
			
})(jQuery, document, window);

function keepBookzoAlive() {

	jQuery.ajax({
			type: "POST",
			data: 'format=ajax&keepalive=1',
			url: BOOKZO_URL + 'ajax.php',
			dataType: 'json',
			success: function(r) {}
	});
}