<?php
/**
 * @package     Bookzo.Platform
 * @subpackage  Object
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('_BOOKZO') or die;

/**
 * Joomla Platform Object Class
 *
 * This class allows for simple but smart objects with get and set methods
 * and an internal error handler.
 *
 * @since       11.1
 * @deprecated  4.0
 */
class BookzoPeriodsDiscounts extends BookzoPeriods
{
	protected function getDates()
	{
		if ( $actionid = $this->query->get('actionid') ) {
			return $this->app->api->getFreePeriodsWithAction($actionid);
		}
		
		return array();
	}
}