<?php
/**
 * @package     Bookzo.Platform
 * @subpackage  Object
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('_BOOKZO') or die;

/**
 * Joomla Platform Object Class
 *
 * This class allows for simple but smart objects with get and set methods
 * and an internal error handler.
 *
 * @since       11.1
 * @deprecated  4.0
 */
class BookzoPeriodsFree extends BookzoPeriods
{
	protected function getDates()
	{
		return $this->app->api->getFreePeriods($this->start, $this->end, $this->query->get('object'), $this->query->get('group'), $this->query->get('persons'));
	}
}