<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzHelperWidget extends BHelper {
	
	public function get($name) 
	{
		return BWidget::widget($name);
	}
	
	public function getnew($name)
	{
		unset(self::$instances[ strtolower($name) ]);
		
		return $this->get($name);
	}
	
	public function __get($name)
	{
		return $this->get($name);
	}
	
	public function getList($exclude = array()) 
	{
		$widgets 	 = $this->app->path->dirs('widgets:');
		$return 	 = array();
		
		foreach ( $widgets as $widget ) {
			if ( !in_array($widget, $exclude) ) {
				$return[] = $widget;
			}
		}
		
		return $return;
	}
}