<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bookzo confirmation-page bookzo-confirmation">
	<h1>
		<?php echo $title; ?>
	</h1>
	<div class="bz-panel bz-panel-box">
		<?php echo $text; ?>
	</div>
	<?php if ( $success && $withpayment ) : ?>
		<div class="bz-panel bz-panel-box bz-margin-top">
			<h2>
				<?php echo BText::_('TITLE_PAYMENT'); ?>
			</h2>
			<p>
			<?php if ( $paymentmethod == 'OVerboeken' ) : ?>
				<?php echo BText::sprintf('PAYMENT_STATUS_TRANSFER', $this->app->config->get('pay.bankaccount'), $this->app->config->get('pay.bankname')); ?>
			<?php elseif ( $paymentstatus ) : ?>
				<?php echo BText::_('PAYMENT_STATUS_SUCCESS'); ?>
			<?php else : ?>
				<?php echo BText::_('PAYMENT_STATUS_FAILED'); ?>
			<?php endif; ?>
			</p>
		</div>
	<?php endif; ?>
</div>