<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$priceelements = $booking->getPriceElements();
?>
<div class="bz-price-calc bz-margin-top">
	<h4><?php echo BText::_('SUBTITLE_BOOK_PRICES'); ?></h4>
	<?php foreach ( $priceelements as $id => $priceelement ) : ?>
		<div class="bz-grid bz-grid-small">
			<div class="bz-width-1-10 bz-text-right">
				<?php if ( $priceelement->reservationlinetype != 'Accommodation' ) : ?>
					<?php echo $priceelement->amount; ?>x
				<?php endif; ?>
			</div>
			<div class="bz-width-6-10">
				<?php if ( isset($priceelement->description) ) : ?>
					<?php if ( isset($priceelement->action) ) : ?>
						<?php echo $priceelement->action; ?>:<br />
					<?php endif; ?>
					<?php echo $priceelement->description; ?>
				<?php endif; ?>
			</div>
			<div class="bz-width-3-10 bz-text-right">
				<?php echo $this->app->price->format($priceelement->total, array('hidecurrency' => 0, 'pricestyle' => 'always') ); ?>
			</div>
		</div>
	<?php endforeach; ?>
	<div class="bz-grid bz-grid-small">
		<div class="bz-width-1-10 bz-text-right"></div>
		<div class="bz-width-6-10 th-book-total">
			<strong><?php echo BText::_('TOTAL'); ?></strong>
		</div>
		<div class="bz-width-3-10 bz-text-right th-book-total">
			<strong><?php echo $this->app->price->format($booking->getTotalPrice(), array('hidecurrency' => 0, 'pricestyle' => 'always')); ?></strong>
		</div>
	</div>
</div>