<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/** 
 * available template variables
 *
 * $booking		the total booking
 * $page		the current page
 * $totalsteps	the total steps available
 * $steptitles	the step titles
 */ 

$titletype = $this->app->config->get('template.book_show_steps', 1);
?>

<div class="th-book-steps steps bz-text-right">

	<ul>
		<?php for ( $i = 1; $i <= $totalsteps; $i++ ) : ?>
		<li class="step <?php echo $i == $page ? 'active' : ''; ?>">
			<?php 
				switch ( $titletype ) :
					default	: 
					case 1: $title = $i; break;
					case 2: $title = $steptitles[$i]; break;
					case 3: $title = $i . '. '. $steptitles[$i]; break;
				endswitch;
			?>
			<?php if ( $i < $page ) : ?>
				<a href="<?php echo $this->app->adapter->route('layout=book&bookpage='. $i); ?>"><?php echo $title; ?></a>
			<?php else : ?>
				<span><?php echo $title; ?></span>
			<?php endif; ?>
		</li>
		<?php endfor; ?>
	</ul>
	
</div>