<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

if ( !$content || !strlen(trim($content)) ) :
	return;
endif;

$title 			= isset($title) ? $title : BText::_('SUBTITLE_'. $type);
$showtitle 		= $this->app->config->get('template.blocks_'.$type.'_title', 1);

$id				 = isset($id) ? 'id="'.$id.'"' : '';
$class			 = isset($class) ? $class : '';
$class 			.= ' ' . $this->app->config->get('template.blocks_'.$type.'_class', '');
?>
<div <?php echo $id; ?> class="th-detail-block-<?php echo $type; ?> bz-margin-top">
	<?php if ( $showtitle == 2 ) : ?>
		<h2 class="bz-panel-title"><?php echo $title; ?></h2>
	<?php endif; ?>
	<div class="bz-panel <?php echo $class; ?>">
		<?php if ( $showtitle == 1 ) : ?>
			<h2 class="bz-panel-title"><?php echo $title; ?></h2>
		<?php endif; ?>
		<div>
			<?php echo $content ; ?>
		</div>
	</div>
</div>
