<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$pricesicon 	= $params->get('pricesicon', $this->app->config->get('template.pricesicon', 0));
$pricesmessage 	= $params->get('pricesmsg', $this->app->config->get('template.pricesmsg', 0)); 
$included		= $this->app->config->get('template.pricesincl', 0);
$icon			= $pricesicon && $included;

if ( $icon ) :
	BHtml::_('behavior.tooltip');
endif;
?>
<div class="price bz-price <?php echo $icon ? 'with-icon' : ''; ?>">
	<div class="prices bz-text-right bz-clearfix bz-position-relative">
		<?php if ( $price->get('discount') ) : ?>
			<span class="bz-price-before before">
				<?php 
					echo $this->app->price->format( 
								$included ? $price->get('totalbeforediscount') : $price->get('pricebeforediscount'),
								$params
							); 
				?>
			</span>
		<?php endif; ?>
		<span class="bz-price-amount amount">
			<?php 
				echo $this->app->price->format( 
							$included ? $price->get('total') : $price->get('price'),
							$params
						); 
			?>
		</span>
		<?php if ( $icon ) : ?>
			<?php 
				$params->set('pricestyle', 'always');
				$text = $this->app->price->calculation($price, true, $params);
			?>
			<span class="bz-icon bz-icon-round" data-bz-tooltip="{pos: 'bottom-right', cls: 'bz-tooltip-calc'}" data-tooltip-text="<?php echo $text; ?>">
				<i class="fa fa-info" aria-hidden="true"></i>
			</span>
		<?php endif; ?>
		
	</div>
	<?php if ( $included && $pricesmessage ) : ?>
	<div class="bz-price-incl bz-text-right">
		<?php echo BText::_('PRICE_INCLUDING_COSTS'); ?>
	</div>
	<?php endif; ?>
</div>