<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die; 
?>
<div class="bz-price-mini-calculation">
	<div class="bz-minical-row bz-grid bz-grid-small">
		<div class="bz-width-2-3">
			<?php echo BText::_('RENTAL_PRICE'); ?>: 			
		</div>
		<div class="bz-width-1-3 bz-text-right">
			<?php echo $this->app->price->format( $price->get('pricebeforediscount'), $params); ?>					
		</div>
	</div>
	<?php if ( $price->get('discount') ) : ?>
	<div class="bz-minical-row bz-grid bz-grid-small">
		<div class="bz-width-2-3">
			<?php echo $price->get('actionname') ? $price->get('actionname') : 'Korting'; ?>			
		</div>
		<div class="bz-width-1-3 bz-text-right">
			- <?php echo $this->app->price->format( $price->get('discount'), $params); ?>					
		</div>
	</div>
	<?php endif; ?>
	<?php if ( $costs = $price->get('costsspecification') ) : ?>
		<?php foreach ( $costs as $cost ) : ?>
			<div class="bz-minical-row bz-grid bz-grid-small">
				<div class="bz-width-2-3">
					<?php echo $cost->name; ?> 			
				</div>
				<div class="bz-width-1-3 bz-text-right">
					<?php echo $this->app->price->format( $cost->price, $params); ?>					
				</div>
			</div>
		<?php endforeach; ?>
	<?php endif; ?>
	<div class="line"></div>
	<div class="bz-minical-row bz-minical-total bz-grid bz-grid-small">
		<div class="bz-width-2-3">
			<?php echo BText::_('TOTAL'); ?>: 			
		</div>
		<div class="bz-width-1-3 bz-text-right">
			<?php echo $this->app->price->format( $price->get('total'), $params); ?>					
		</div>
	</div>
</div>