<?php
/**
 * @package     Template.Partials
 * @subpackage  Reviews
 */

defined('_BOOKZO') or die;

/**
 * Layout variables
 * ---------------------
 * 	$grade         	 : (float)  	The grade
 * 	$count         	 : (count) 		The total nr of reviews
 *  $params			 : (BRegistry)  Parameters pushed into this partial by arguments
 */
?>
<div class="th-review-small bz-text-right">
	<span class="th-review-grade review-grade">
		<span>
			<?php echo $grade; ?>
		</span>
	</span>
	<span class="th-review-count">
		<?php if ( $params->get('link_count', false) && $params->get('anchor') ) : ?>
			<a href="#<?php echo $params->get('anchor'); ?>"><?php echo BText::plural('REVIEW_REVIEW_COUNT', $count); ?></a>
		<?php else : ?>
			<?php echo BText::plural('REVIEW_REVIEW_COUNT', $count); ?>
		<?php endif; ?>
	</span>
</div>