<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$max			= $params->get('months', 2);
$cols			= $max == 1 && $params->get('pricecalculation', 0);
$showoptions	= $params->get('arrivalday', 2) == 3 || $params->get('choosepersons', 0);
$showlegenda	= $params->get('legenda', 0);
?>
<div class="bz-calendar" data-active-type="<?php echo $activetype; ?>">
	<?php if ( $params->get('showtitle', 1) ) : ?>
	<h2><?php echo $params->get('pricecalculation', 0) || $params->get('showprices', 0) ? BText::_('WIDGET_CALENDAR_TITLE_PRICES') : BText::_('WIDGET_CALENDAR_TITLE'); ?></h2>
	<?php endif; ?>
	<div class="bz-grid bz-margin-large-top">
		<div class="bz-width-1-1 <?php echo $cols ? 'bz-width-medium-6-10' : ''; ?>">
			<?php if ( $showoptions || $showlegenda == 1 ) : ?>
				<div class="th-calendar-box" class="bz-grid" data-bz-grid-margin>
					<?php if ( $showoptions ) : ?>
					<div class="th-calendar-option bz-width-1-1 bz-width-medium-<?php $cols && $showlegenda == 1 ? '1-1' : '1-2'; ?>">
						<div class="bz-grid" bz-grid-margin>
							<?php if ( $params->get('arrivalday', 2) == 3 ) : ?>
								<div class="th-calendar-option-row bz-clearfix">
									<div class="label">
										<?php echo BText::_('WIDGET_CALENDAR_LABEL_TYPE'); ?>
									</div>
									<div class="option">
										<?php echo $typelist; ?>
									</div>
								</div>
							<?php endif; ?>
							<?php if ( $params->get('choosepersons', 0) ) : ?>
								<div class="th-calendar-option-row bz-clearfix">
									<div class="label">
										<?php echo BText::_('WIDGET_CALENDAR_LABEL_PERSONS'); ?>
									</div>
									<div class="option">
										<?php echo $personslist; ?>
									</div>
								</div>
							<?php endif; ?>
						</div>
					</div>
					<?php endif; ?>
					<?php if ( $showlegenda == 1  ) : ?>
						<div class="th-legenda bz-width-1-1 bz-width-medium-<?php $cols && $showoptions ? '1-1' : '1-2'; ?> bz-text-right">
							<span class="booked"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKED'); ?></span>
							<span class="free"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_FREE'); ?></span>
							<span class="bookable"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKABLE'); ?></span>
						</div>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<div id="bz-calendar" class="bz-margin-large-top">
				<?php echo $calendars; ?>
			</div>
			<?php if ( $showlegenda == 2  ) : ?>
				<div class="bz-grid bz-margin-top">
					<div class="th-legenda bz-width-1-1 bz-text-right">
						<span class="booked"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKED'); ?></span>
						<span class="free"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_FREE'); ?></span>
						<span class="bookable"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKABLE'); ?></span>
						<?php if ( $calendar->settings->get('hasdiscount') ) : ?>
							<span class="discount"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_DISCOUNT'); ?></span>
						<?php endif; ?>
					</div>
				</div>
			<?php endif; ?>
		</div>
		<?php if ( $params->get('pricecalculation', 0) ) : ?>
			<div class="bz-width-1-1 <?php echo $cols ? 'bz-width-medium-4-10' : ''; ?> bz-margin-medium-top bz-margin-medium-bottom">
				<div id="bz-calendar-directbooking">
					<?php echo $pricecalculation; ?>
				</div>
			</div>
		<?php endif; ?>
	</div>
</div>