<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bz-features">

	<div class="bz-grid bz-grid-margin">
    
		<?php foreach ( $groups as $groupname => $features ) : ?>
        
            <div class="bz-width-1-1 bz-width-small-1-2 bz-width-medium-1-3 bz-grid-margin">
                
                <h4><?php echo $groupname; ?></h4>
                <ul class="bz-list">
                
                    <?php foreach ( $features as $feature ) : ?>
                    	
                        <li>
							<?php if ( $feature->isboolean ) : ?>
								<span><?php echo $feature->name; ?></span>
							<?php else : ?>
                        		<span><?php echo $feature->name; ?></span>: <span class="value"><?php echo $feature->value; ?></span>
							<?php endif; ?>
                      	</li>
                        
                    <?php endforeach; ?>
                    
                </ul>
                
            </div>
            
        <?php endforeach; ?>
    
    </div>	

</div>