<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

## NOTE - We need alias or id
?>
<div class="th-filters bz-panel bz-panel-header bz-panel-box-secondary">
	<h3 class="bz-panel-title">
		<?php echo BText::_('WIDGET_FILTERS_TITLE_FILTER'); ?>
	</h3>
    <form class="filter-form" name="filter-form" action="<?php echo $url; ?>" method="post">
		<?php foreach ( $filtergroups as $name => $filters ) : ?>
			<?php if ( count($filters) ) : ?>
            <div class="th-filter-group th-filter-group-<?php echo $name; ?>">
            
                <strong><?php echo $name; ?></strong>			
                <div>
                    <?php foreach ( $filters as $filter ) : ?>
                        <?php echo $filter->render( $this->app->config->get('general.showemptyfilters', 0) ); ?>
                    <?php endforeach; ?>
                </div>
            
            </div>
			<?php endif; ?>
        <?php endforeach; ?>
        <input type="hidden" name="task" value="<?php echo $task; ?>" />
		<?php if ( $iframeaccount = $this->app->adapter->sessionGet('bookzo.accountname') ) : ?>
			<input type="hidden" name="account" value="<?php echo $iframeaccount; ?>" />
		<?php endif; ?>
    </form>
</div>