<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bz-gallery">
	<div class="bz-grid bz-grid-small" data-bz-grid-margin>
		<div class="bz-width-1-1">
			<div class="bz-slidenav-position bz-slidenav-position-show bz-slidenav-position-small" data-bz-slideshow="{navigation: '#<?php echo $identifier; ?>'}" data-bz-check-display>
				
				<ul class="bz-slideshow">
					<?php foreach ( $images as $i => $image ) : $i++; ?>
					<li class="<?php echo $i == 1 ? 'bz-active': ''; ?>">
						<?php if ( $params->get('link', 0) && $params->get('href', '') ) : ?>
							<a href="<?php echo $params->get('href'); ?>">
						<?php elseif ( $params->get('lightbox', 0) && $image->lightbox ) : ?>
							<a href="<?php echo $image->lightbox; ?>" data-bz-lightbox="{group:'<?php echo $identifier; ?>'}" title="<?php echo $image->title; ?>">
						<?php endif; ?>
						<img src="<?php echo $image->src; ?>" title="<?php echo $image->title; ?>" />
						<?php if ( ($params->get('lightbox', 0) && $image->lightbox) || ($params->get('link', 0) && $params->get('href', '')) ) : ?>
							</a>
						<?php endif; ?>
					</li>
					<?php endforeach; ?>
				</ul>
				<a href="" class="bz-slidenav bz-slidenav-light bz-slidenav-previous" data-bz-slideshow-item="previous"></a>
				<a href="" class="bz-slidenav bz-slidenav-light bz-slidenav-next" data-bz-slideshow-item="next"></a>
			</div>
		</div>
		<?php if ( $params->get('thumbnails', 1) && count($images) > 1 ) : ?>
		<div class="bz-width-1-1">
			<div class="bz-slidenav-position bz-slidenav-position-outside bz-slidenav-position-show bz-slidenav-position-small <?php echo count($images) > 4 ? 'has-nav' : ''; ?>">
				<div data-bz-slideset="{default: 4}">
					<ul id="<?php echo $identifier; ?>" class="bz-grid bz-grid-small bz-flex-center bz-slideset">
						<?php foreach ( $navigations as $i => $nav ) : ?>
							<li data-bz-slideshow-item="<?php echo $i; ?>"><a href=""><?php echo $nav; ?></a></li>
						<?php endforeach; ?>
					</ul>
					<?php if ( count($images) > 4 ) : ?>
						<a href="" class="bz-slidenav bz-slidenav-arrows bz-slidenav-dark bz-slidenav-previous" data-bz-slideset-item="previous"></a>
        				<a href="" class="bz-slidenav bz-slidenav-arrows bz-slidenav-dark bz-slidenav-next" data-bz-slideset-item="next"></a>
					<?php endif; ?>
				</div>
			</div>
		</div>
		<?php endif; ?>
	</div>
</div>