<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$this->app->adapter->addScript('assets:js/slideset.js');
?>
<div class="bz-widget bz-widget-objects">
	<div data-bz-slideset="{small: <?php echo ceil($rowcount/2); ?>, medium: <?php echo $rowcount; ?>}">
		<div class="bz-slidenav-position bz-slidenav-position-show bz-slidenav-position-outside">
			<ul class="bz-grid bz-slideset">
				<?php foreach ( $objects as $object ) : ?>
				<li>
					<div class="bz-panel">
						<?php if ( $object->hasImages() ) : ?>
						<div class="bz-thumb bz-stretch bz-hasoverlay">
							<a href="<?php echo $object->get('link'); ?>">
								<img src="<?php echo $object->image('medium'); ?>" />
								<div class="bz-overlay bz-overlay-bottom">
									<h3><?php echo $object->get('name'); ?></h3>
								</div>
							</a>
						</div>
						<?php endif; ?>
					</div>
				</li>
				<?php endforeach; ?>
			</ul>
			<a href="" class="bz-slidenav bz-slidenav-arrows bz-slidenav-previous" data-bz-slideset-item="previous"></a>
			<a href="" class="bz-slidenav bz-slidenav-arrows bz-slidenav-next" data-bz-slideset-item="next"></a>
		</div>
	</div>
</div>