<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

## NOTE - We have to reconsider this in total
if ( count($months) ) : 
	$this->app->adapter->addScript('assets:js/slideshow.js');
	$this->app->adapter->addScript('assets:js/slideshow-fx.js');
endif;
?>
<div class="th-pricelist">

	<div class="bz-slidenav-position bz-slidenav-position-show" data-bz-slideshow<?php echo $active ? '="{start: '.$active.'}"' : ''; ?> data-bz-check-display>
		<ul class="bz-slideshow">
			<?php foreach ( $months as $month ) :  ?>
			
				<li>
					
					<h4 class="th-pricelist-month"><?php echo $this->app->date->create($month->month)->format('F Y'); ?></h4>
					
					<table class="th-pricelist-table bz-table bz-table-hover">
						<tr>
							<th><?php echo BText::_('ARRIVAL'); ?></th>
							<?php foreach ( $month->headings as $heading ) : ?>
								<th><?php echo $heading->name; ?></th>
							<?php endforeach; ?>
						</tr>
						<?php foreach ( $month->rows as $arrival => $cols ) : ?>
							<tr>
								<td class="date">
									<?php echo $this->app->date->create($arrival)->format('D j M'); ?>
								</td>
								<?php foreach ( $cols as $price ) : ?>
									<td>
										<?php if ( $price !== false ) : ?>
											<?php echo $this->app->price->render($price, 'short', $params); ?>
										<?php else : ?>
											&nbsp;
										<?php endif; ?>
									</td>
								<?php endforeach; ?>
							</tr>
						<?php endforeach; ?>
					</table>
				
				</li>
				
			<?php endforeach; ?>
		</ul>
		<a class="bz-slidenav bz-slidenav-previous" href="" data-bz-slideshow-item="previous"><?php echo BText::_('PREVIOUS_MONTH'); ?></a>
		<a class="bz-slidenav bz-slidenav-next" href="" data-bz-slideshow-item="next"><?php echo BText::_('NEXT_MONTH'); ?></a>
	</div>


	<?php /*
		<!-- This is the container enabling the JavaScript -->
		<div class="bz-dropdown" data-bz-dropdown="{mode:'click'}">
	
			<!-- This is the menu item toggling the dropdown -->
			<a class="bz-dropdown-button">Maand <i class="fa fa-caret-down"></i></a>
	
			<div class="bz-dropdown-block">
				<ul class="bz-nav nav" data-bz-tab="{connect:'#pricelist'}">
					<?php foreach ( $months as $month => $dates ) : ?>
						<li><a><?php echo $this->app->date->create($month)->format('F Y'); ?></a></li>
					<?php endforeach; ?>
				</ul>
			</div>

		</div>
	
	<ul id="pricelist" class="bz-switcher bz-margin-top">
		
			

	</ul>
	*/ ?>
</div>