<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data helper class.
 *
 * Helper for managing and retrieving paths
 * We can register paths.
 * When loading files we search paths top to bottom
 *
 * @subpackage 	framework.helpers
 * @since 		1.0.0
 */
class BzWidgetReview extends BWidget {

	protected $tabs = array();
	
	protected $active = 0;
	
	/**
	 * Render the module
	 *
	 * @param 	none
	 * @return 	mixed 	the html
	 * @since 	1.0.0
	 */
	public function render($class = '')
	{
		if ( !$this->app->review->has() ) {
			return '';
		}
		
		$grade 	= $this->app->review->getGrade();
		$count 	= $this->app->review->getCount();

		// render the widget
		return  $this->renderer->render('default', compact('grade', 'count'));
	}
}