<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bookzo bookzo-config">
	<div class="bz-form">
    	<form action="<?php echo $this->app->adapter->route('task=config.generate'); ?>" method="post" name="iframeconfig">
		<h1>Bookzo config wizard</h1>
		<p>Hieronder vindt u de mogelijke instellingen voor uw bookzo iframe implementatie. Zodra u klaar bent kunt u op de knop genereer config bestand drukken. U wordt dan gevraagd het bookzo.config bestand te downloaden. Deze kunt u na downloaden plaatsen in de map bookzo in de root van uw website. Bookzo zal deze configuratie uitlezen en zo uw instellingen meenemen in het iframe</p>
		<div class="bz-clearfix">
    		<button class="bz-button bz-button-primary bz-float-right">Genereer config bestand</button>
		</div>
       	<ul class="bz-tab bz-margin-top" data-bz-tab="{connect:'#config'}">
    	<?php foreach ( $tabs as $tab ) : ?>
			<li class="bz-active"><a><?php echo BText::_($tab->label); ?></a></li>
        <?php endforeach; ?>
        </ul>
        <ul id="config" class="bz-switcher">
    	<?php foreach ( $tabs as $tab ) : ?>
        
        	<li>
          		<?php foreach ( $tab->fieldsets as $fieldset ) : ?>
				
					<?php if ( isset($fieldset->label) ) : ?>
						<h2><?php echo BText::_($fieldset->label); ?></h2>
					<?php endif; ?>
					
                    <?php foreach ( $fieldset->fields as $field ) : ?>
					
						<?php 
							$value = $field->value;
							$class = 'not-set';
							if ( is_array($value) ) {
								foreach ( $value as $v ) {
									if ( strlen(trim($v)) ) {
										$class = '';
										break;
									}
								}
							}
							else if ( strlen(trim($value)) ) {
								$class = '';
							}
						?>
                    	
                   		<?php echo $field->renderField(array('class' => $class . ' field-' .$field->getAttribute('name'))); ?>
                               
                  	<?php endforeach; ?>
                    
                    
               	<?php endforeach;  ?>
           	</li>
       	<?php endforeach; ?>
        </ul>
        </form>
    </div>
</div>