<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$cols = count($fields) + 1;
?>
<div class="bz-search">
	<form action="<?php echo $url; ?>" method="post" class="bz-form bz-form-full">
		<div class="bz-grid">
        	<?php if ( $params->get('usegroup', 1) && isset($fields['group']) ) : ?>
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?> bz-width-small-1-2">
				<label class="bz-label"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-hotel"></i><?php endif; ?><?php echo BText::_('WIDGET_SEARCH_FIELD_GROUP_LABEL') ?>:</label>
				<?php echo $fields['group']; ?> 
			</div>
            <?php endif; ?>
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?> bz-width-small-1-2">
				<label class="bz-label"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-user"></i><?php endif; ?><?php echo BText::_('WIDGET_SEARCH_FIELD_PERSONS_LABEL') ?>:</label>
				<?php echo $fields['persons']; ?> 
			</div>
			<?php if ( $params->get('usepets', 1) ) : ?>
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?> bz-width-small-1-2">
				<label class="bz-label"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-paw"></i><?php endif; ?><?php echo BText::_('WIDGET_SEARCH_FIELD_PET_LABEL') ?>:</label>
				<?php echo $fields['pet']; ?> 
			</div>
            <?php endif; ?>        
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?> bz-width-small-1-2">
				<label class="bz-label"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-calendar"></i><?php endif; ?><?php echo BText::_('WIDGET_SEARCH_FIELD_MONTH_LABEL') ?>:</label>
				<?php echo $fields['month']; ?> 
			</div>
            <?php if ( $params->get('usedefinitions', 1) ) : ?>
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?> bz-width-small-1-2">
				<label class="bz-label"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-suitcase"></i><?php endif; ?><?php echo BText::_('WIDGET_SEARCH_FIELD_DURATION_LABEL') ?>:</label>
				<?php echo $fields['duration']; ?> 
			</div>
            <?php endif; ?>
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?> bz-width-small-1-2">
				<label class="bz-label"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-flag"></i><?php endif; ?><?php echo BText::_('WIDGET_SEARCH_FIELD_ARRIVAL_LABEL') ?>:</label>
				<?php echo $fields['arrival']; ?> 
			</div> 
            <?php if ( !$params->get('usedefinitions', 1) ) : ?>
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?> bz-width-small-1-2">
				<label class="bz-label"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-suitcase"></i><?php endif; ?><?php echo BText::_('WIDGET_SEARCH_FIELD_DEPARTURE_LABEL') ?>:</label>
				<?php echo $fields['departure']; ?> 
			</div>
            <?php endif; ?>
			<div class="bz-width-1-1 bz-width-medium-1-<?php echo $cols; ?>  bz-width-small-1-2 buttonrow">
				<button type="submit" id="Submit2" class="bz-button bz-button-primary"><?php if ( $params->get('showicons', 1) ) : ?><i class="fa fa-search"></i><?php endif; ?><?php echo BText::_('BUTTON_SEARCH') ?></button>
			</div>
			                
		</div>
		<?php if ( $group = $params->get('defgroup', 0) ) : ?>
			<input type="hidden" name="group" value="<?php echo $group; ?>" />
		<?php endif; ?>
		<input type="hidden" name="task" value="results.search" />
		<?php if ( $iframeaccount = $this->app->adapter->sessionGet('bookzo.accountname') ) : ?>
			<input type="hidden" name="account" value="<?php echo $iframeaccount; ?>" />
		<?php endif; ?>
	</form>
	
	
</div>