<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

## NOTE - only for now to active correct tab. We will make this configurable in the near future

defined('_BOOKZO') or die;
?>
<div class="bz-panel">
	<div class="th-infobar bz-grid bz-margin-large-bottom" data-bz-grid-margin>
		<div class="bz-width-1-1 bz-width-medium-1-2">
			<a class="more bz-button bz-button-secondary" onclick="history.go(-1)">
				<i class="fa fa-caret-left"></i>
				<?php echo BText::_('BUTTON_BACK'); ?>
			</a>
		</div>			
		<?php /*		
		<div class="bz-width-1-1 bz-width-medium-1-2">
			<div class="bz-float-right">
				<?php echo $object->getFavouriteButton('.th-acco'); ?>
				<a class="bz-icon bz-icon-round"><i class="fa fa-facebook"></i></a>
				<a class="bz-icon bz-icon-round"><i class="fa fa-twitter"></i></a> 
				<a class="bz-icon bz-icon-round"><i class="fa fa-google-plus"></i></a> 
				<a class="bz-icon bz-icon-round"><i class="fa fa-pinterest"></i></a> 
			</div>
		</div>
		*/ ?>
	</div>		
	<div class="bz-grid" data-bz-grid-margin>
		<?php if ( $object->hasImages() ) : ?>
			<div class="bz-width-1-1 bz-width-medium-1-3">
				<div class="bz-thumb bz-stretch">
					<img src="<?php echo $object->image(); ?>" />
				</div>
			</div>
		<?php endif; ?>
		<div class="bz-inner bz-relative bz-width-1-1 bz-width-medium-2-3">
			<div class="th-top bz-clearfix">
				<div class="th-titles titles bz-float-left">
					<h2>
						<?php if ( $this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
							<?php echo $object->get('groupname'); ?>
						<?php else : ?>
							<?php echo $object->translate('name'); ?>
						<?php endif; ?>
					</h2>
					<?php if ( $this->app->config->get('template.full_show_group', 1) && !$this->app->config->get('bookzo.bookpergroup', 0) ) : ?>
						<h5>
							<?php echo $object->get('groupname'); ?>
						</h5>
					<?php endif; ?>
				</div>
				<div class="bz-float-right">
					<?php echo $object->price(); ?>
				</div>
			</div>
			<p class="th-description description">
				<?php if ( $this->app->config->get('template.introtextspace', 'full') == 'full' ) : ?>
					<?php echo nl2br($object->get('description')); ?>
				<?php else : ?>
					<?php echo $object->getShortDescription(); ?>
				<?php endif; ?>
			</p>
		</div>
	</div>
	<div class="th-infobar bz-grid bz-margin-top">
		<div class="bz-width-1-1 bz-width-medium-1-3"></div>
		<div class="bz-width-1-1 bz-width-medium-2-3">
			<div class="bz-grid" data-bz-grid-margin>
				<div class="bz-width-1-1 bz-width-medium-2-3">
					<?php echo $this->partial('icons', array('object' => $object) ); ?>
				</div>
				<div class="th-result-buttons bz-width-1-1 bz-width-medium-1-3">
					<?php 
						## NOTE - This should be handled differently
					if ( $object->hasPrice() ) : ?>
						<?php echo $object->button('book', '', '', 'bz-width-1-1', 'full'); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="th-details bz-panel bz-margin-large-top">
	<?php 		
		if ( $this->app->config->get('template.introtextspace', 'full') != 'full' ) : 			
			$tabs->addTab('SUBTITLE_DESCRIPTION', 	nl2br($object->translate('description')),	true);					
		endif;
			$tabs->addTab('SUBTITLE_FEATURES', 		$object->widget('features'), 		true);
			$tabs->addTab('SUBTITLE_CALENDAR', 		$object->widget('calendar'), 		true, true);
			$tabs->addTab('SUBTITLE_PRICELIST', 	$object->widget('pricelist'), 		true);
			$tabs->addTab('SUBTITLE_GALLERY', 		$object->widget('gallery'), 		true);
			$tabs->addTab('SUBTITLE_MAP', 			$object->widget('map'), 			true);


		echo $tabs->render();
	?>
</div>