(function ($, d) {

	$(d).ready(function() 
	{					
		$("[data-bz-config]").on('click', function () {
			var a = $(this),
				f = $(a).parents('form'),
				data = $(f[0].elements).serialize();
				
			$.ajax({
					type: "POST",
					url: BOOKZO_URL + 'ajax.php',
					data: 'format=ajax&layout=config&langid='+BOOKZO_LANGID+'&task=save&'+data,
					dataType: 'json',
					success: function(r){
						if ( r.success ) {
							if ( r.data ) {
								var v = $('.bookzo-config .th-message');
								$('<div>' + r.data + '</div>').hide().appendTo(v).fadeIn(1000).delay(2000).fadeOut(1000);
							}
						}
						else {
							if ( r.message ) {
								var v = $('.bookzo-config .th-message');
								$('<div>' + r.message + '</div>').hide().appendTo(v).fadeIn(1000).delay(2000).fadeOut(1000);
							}
						}
					}
				});
		});
		
		$("[data-bz-cache]").on('click', function () {
			var a = $(this),
				f = $(a).parents('form');
				
			$.ajax({
					type: "POST",
					url: BOOKZO_URL + 'ajax.php',
					data: 'format=ajax&task=config.clearcache',
					dataType: 'json',
					success: function(r){
						if ( r.success ) {
							if ( r.data ) {
								var v = $('.bookzo-config .th-message');
								$('<div>' + r.data + '</div>').hide().appendTo(v).fadeIn(1000).delay(2000).fadeOut(1000);
							}
						}
						else {
							if ( r.message ) {
								var v = $('.bookzo-config .th-message');
								$('<div>' + r.message + '</div>').hide().appendTo(v).fadeIn(1000).delay(2000).fadeOut(1000);
							}
						}
					}
				});
		});
	});
			
})(jQuery, document);