<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

/**
 * First define the constant that is used throughout the framework to prevent direct access.
 * define() is used rather than "const" to not error for PHP 5.2 and lower
 */
if ( !defined('_BOOKZO') ) {
	define('_BOOKZO', 1);
}

// include the file to define base settings
if (!defined('_BZDEFINES'))
{
	define('BOOKZO_BASE', __DIR__);
	
	require_once BOOKZO_BASE . '/includes/defines.php';
}

// call the framework
require_once BOOKZO_BASE . '/includes/framework.php';

$bookzo = Bookzo::getInstance();
$bookzo->loadDefaults();