<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Bz data class.
 *
 * This class acts as parent for all data classes
 * It adds default functions like a magic method call 
 * for all child classes
 *
 * @subpackage 	framework.classes
 * @since 		1.0.0
 */
class BookzoReviewDefault extends BookzoReview {

	public function getReviewGrade($id = 0)
	{
		return 0;
	}
	
	public function getReviewCount($id = 0) 
	{
		return 0;
	}
	
	public function getReviewQuestionList($id = 0)
	{
		return array();
	}
	
	public function getReviewReviews($id = 0)
	{
		return array();
	}
	
	public function getReviewLink()
	{
		return null;
	}
}