<?php
/**
* @package   	Iwf
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/**
 * Helper class to create JSONData object representing parameters
 * 
 * @package Framework.Helpers
 */
 class BzHelperRenderer extends BHelper {

	public function partial($subdir = '')
	{
		return new BRendererPartial($this->app, $subdir);
	}
	
	public function widget($name, $basepaths = array())
	{
		return new BRendererWidget($this->app, $name, $basepaths);
	}
	
	public function view($basepaths = array())
	{
		return new BRendererView($this->app, $basepaths);
	}

	/**
	 * Map all function to the config
	 */
	public function __call($method, $args) {
		return $this->_call(array($this, $method), $args);
	}

}
