<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

/** 
 * available template variables
 *
 * $booking		the total booking
 * $form		the booking form
 */ 

?>
<?php foreach ( $form->getFieldSets() as $name => $fieldset ) : ?>
						
	<div class="bz-panel bz-panel-box-secondary bz-margin-bottom">
	
		<?php if ( isset($fieldset->label) ) : ?>
		
			<h2 class="bz-h3">
				<?php echo BText::_($fieldset->label); ?>
			</h2>

		<?php endif; ?>
		
		<div class="fields bz-margin-large">
		<?php foreach ( $form->getFieldset($name) as $field ) : ?>
		
			<?php echo $field->renderField(array('class' => 'field-' .$field->getAttribute('name'))); ?>
	   
		<?php endforeach; ?>
		</div>
		
	</div>

<?php endforeach; ?>