<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

$iconprefix = isset($page) && $page == 'full' ? 'full' : 'teaser';
$teaser		= isset($teaser) ? (bool) $teaser : false;
$showreview = false;

if ( $teaser && $this->app->config->get('reviews.showon_teaser', 1) && $this->app->review->has($object->id) ) : 
	$showreview = true;
endif;
?>
<div class="th-icons bz-float-left">
	<?php if ( $showreview ) : ?>
		<?php echo $this->app->review->render('small', $object->id); ?>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.'.$iconprefix.'_icon_fav', 1) ) : ?>
		<?php echo $object->getFavouriteButton('.th-acco'); ?>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.'.$iconprefix.'_icon_persons', 1) ) : ?>
	<div class="bz-icon-wrap persons">
		<span class="bz-icon bz-icon-round">
			<i class="fa fa-user"></i>
		</span>
		<?php echo $object->get('numberofbeds'); ?>
	</div>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.'.$iconprefix.'_icon_pets', 1) && $pets = $object->get('pets') ) : ?>
	<div class="bz-icon-wrap pets">
		<span class="bz-icon bz-icon-round bz-icon-small">
			<i class="fa fa-paw"></i>
		</span>
		<?php echo $pets; ?>
	</div>
	<?php endif; ?>
	<?php if ( $this->app->config->get('template.'.$iconprefix.'_icon_city', 1) && $city = $object->get('city') ) : ?>
	<div class="bz-icon-wrap city">
		<span class="bz-icon bz-icon-round bz-icon-small">
			<i class="fa fa-map-marker"></i>
		</span>
		<?php echo $city; ?>
	</div>
	<?php endif; ?>
</div>