<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;


/**
 * Available vars
 *
 * $list	an array of available pagination links
 */
?>
<ul class="bz-pagination bz-pagination-rounded bz-pagination-type-<?php echo $type; ?>">
	<?php if ( isset($list['start']) ) : ?>
		<li class="pagination-start"><?php echo $list['start']; ?></li>
	<?php endif; ?>
	<?php if ( isset($list['previous']) ) : ?>
		<li class="pagination-prev"><?php echo $list['previous']; ?></li>
	<?php endif; ?>
	<?php if ( isset($list['pages']) ) : ?>
		<?php foreach ($list['pages'] as $page) : ?>
			<?php echo '<li class="pagination-page">' . $page . '</li>'; ?>
		<?php endforeach; ?>
	<?php endif; ?>
	<?php if ( isset($list['next']) ) : ?>
		<li class="pagination-next"><?php echo $list['next']; ?></li>
	<?php endif; ?>
	<?php if ( isset($list['end']) ) : ?>
		<li class="pagination-end"><?php echo $list['end']; ?></li>
	<?php endif; ?>
</ul>