<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$cells 	= floor(count($groups)/3);
$rest 	= count($groups)%3;
$cols 	= array();
$added 	= 0;

for ( $i = 0; $i < 3; $i++ ) {
	$add = $cells;
	if ( $rest ) {
		$add++;
		$rest--;
	}
	
	$cols[$i] = array_slice($groups, $added, $add);
	$added   += count($cols[$i]);
}
?>
<div class="bz-features">

	<div class="bz-grid bz-grid-margin">
    
		<?php foreach ( $cols as $groups ) :  ?>
        
            <div class="bz-width-1-1 bz-width-small-1-2 bz-width-medium-1-3">
                
				<?php foreach ( $groups as $groupname => $features ) : ?> 

					<h4><?php echo $groupname; ?></h4>
					<ul class="bz-list">
					
						<?php foreach ( $features as $feature ) : ?>
							
							<li>
								<?php if ( $feature->isboolean ) : ?>
									<span><?php echo $feature->name; ?></span>
								<?php else : ?>
									<span><?php echo $feature->name; ?></span>: <span class="value"><?php echo $feature->value; ?></span>
								<?php endif; ?>
							</li>
							
						<?php endforeach; ?>
						
					</ul>
				<?php endforeach; ?>
                
            </div>
            
        <?php endforeach; ?>
    
    </div>	

</div>
<?php /*
<div class="bz-features">

	<div class="bz-grid bz-grid-margin">
    
		<?php foreach ( $groups as $groupname => $features ) : ?>
        
            <div class="bz-width-1-1 bz-width-small-1-2 bz-width-medium-1-3 bz-grid-margin">
                
                <h4><?php echo $groupname; ?></h4>
                <ul class="bz-list">
                
                    <?php foreach ( $features as $feature ) : ?>
                    	
                        <li>
							<?php if ( $feature->isboolean ) : ?>
								<span><?php echo $feature->name; ?></span>
							<?php else : ?>
                        		<span><?php echo $feature->name; ?></span>: <span class="value"><?php echo $feature->value; ?></span>
							<?php endif; ?>
                      	</li>
                        
                    <?php endforeach; ?>
                    
                </ul>
                
            </div>
            
        <?php endforeach; ?>
    
    </div>	

</div>
*/ ?>