<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bz-gallery">
	<div class="bz-grid" data-bz-grid-margin>
		<div class="bz-width-1-1 bz-width-medium-7-10">
			<div class="bz-slidenav-position" data-bz-slideshow="{navigation: '#<?php echo $identifier; ?>'}" data-bz-check-display>
				
				<ul class="bz-slideshow">
					<?php foreach ( $images as $i => $image ) : $i++; ?>
					<li class="<?php echo $i == 1 ? 'bz-active': ''; ?>">
						<?php /* <img data-bz-lazyloading="<?php echo $image->src; ?>" title="<?php echo $image->title; ?>" /> */ ?>
						 <img src="<?php echo $image->src; ?>" title="<?php echo $image->title; ?>" />
					</li>
					<?php endforeach; ?>
				</ul>
				<a href="" class="bz-slidenav bz-slidenav-contrast bz-slidenav-previous" data-bz-slideshow-item="previous"></a>
				<a href="" class="bz-slidenav bz-slidenav-contrast bz-slidenav-next" data-bz-slideshow-item="next"></a>

			</div>
		</div>
		<div class="bz-width-1-1 bz-width-medium-3-10">
			<ul id="<?php echo $identifier; ?>" class="bz-thumbnav">
				<?php foreach ( $navigations as $i => $nav ) : ?>
					<li data-bz-slideshow-item="<?php echo $i; ?>"><a href=""><?php echo $nav; ?></a></li>
				<?php endforeach; ?>
			</ul>
		</div>
	</div>
</div>