<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div id="<?php echo $identifier; ?>" data-bz-slider="{center:true}" data-bz-check-display>

    <div class="bz-slider-container">
        <ul class="bz-slider bz-grid bz-grid-small">
        	<?php $i = 0; foreach ( $images as $image ) : $i++; ?>
            <li class="bz-width-2-3">
				<?php if ( $i > 1 ) : ?>
					<img data-bz-lazyloading="<?php echo $image->src; ?>" title="<?php echo $image->title; ?>" />
				<?php else : ?>
                	<img src="<?php echo $image->src; ?>" title="<?php echo $image->title; ?>" />
				<?php endif; ?>
            </li>
            <?php endforeach; ?>
        </ul>
    </div>
    
    <a href="" class="bz-slidenav bz-slidenav-contrast bz-slidenav-previous" data-bz-slider-item="previous"></a>
    <a href="" class="bz-slidenav bz-slidenav-contrast bz-slidenav-next" data-bz-slider-item="next"></a>

</div>