<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bz-widget bz-widget-objects">
	<div class="bz-grid" data-bz-grid-match="{target:'> div > .bz-panel'}" data-bz-grid-margin>
		<?php foreach ( $objects as $object ) : ?>
			<div class="bz-width-1-1 bz-width-small-1-<?php echo ceil($rowcount/2); ?> bz-width-medium-1-<?php echo $rowcount; ?>">
				<div class="bz-panel">
					<?php if ( $object->hasImages() ) : ?>
					<div class="bz-thumb bz-stretch bz-hasoverlay">
						<a href="<?php echo $object->get('link'); ?>">
							<img src="<?php echo $object->image('medium'); ?>" />
							<div class="bz-overlay bz-overlay-bottom">
								<h3><?php echo $object->translate('name'); ?></h3>
							</div>
						</a>
					</div>
					<?php endif; ?>
				</div>
			</div>
		<?php endforeach; ?>
	</div>
</div>