<?php
/**
 * @package     Template.Partials
 * @subpackage  Reviews
 */

defined('_BOOKZO') or die;

/**
 * Layout variables
 * ---------------------
 * 	$grade         	 : (float)  	The grade
 * 	$count         	 : (count) 		The total nr of reviews
 */
?>
<div class="th-review-small th-review-total bz-text-right">
	<span class="th-review-grade review-grade">
		<span>
			<?php echo $grade; ?>
		</span>
	</span>
	<span class="th-review-count">
		<?php echo BText::plural('REVIEW_REVIEW_COUNT', $count); ?>
	</span>
</div>