<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$cols = (int) $params->get('usegroup', 1) ? 2 : 4;

$cols 	= $params->get('direction', 'horizontal') == 'horizontal' 
		? count($fields) + 1 
		: ((int) $params->get('usegroup', 1) ? 2 : 4);
?>
<div class="bz-search">
	<form action="<?php echo $url; ?>" method="post" class="bz-form bz-form-full">
		<div class="bz-grid">
        	<?php if ( $params->get('usegroup', 1) ) : ?>
			<div class="bz-width-1-1 bz-width-small-1-2 bz-width-medium-<?php echo $cols; ?>-5">
				<label class="bz-label"><i class="fa fa-hotel"></i><?php echo BText::_('FIELD_GROUP_LABEL') ?>:</label>
				<?php echo $fields['group']; ?> 
			</div>
            <?php endif; ?>
			<div class="bz-width-1-1 <?php echo ( $params->get('usegroup') ? 'bz-width-small-1-2' : '' ); ?> bz-width-medium-<?php echo $cols; ?>-5">
				<label class="bz-label"><i class="fa fa-home"></i><?php echo BText::_('FIELD_OBJECT_LABEL') ?>:</label>
				<?php echo $fields['object']; ?> 
			</div>
			<div class="bz-width-1-1 bz-width-medium-1-5 buttonrow">
				<button type="submit" id="Submit2" class="bz-button bz-button-primary"><i class="fa fa-search"></i><?php echo BText::_('BUTTON_SEARCH') ?></button>
			</div>                
		</div>
		<input type="hidden" name="task" value="object.search" />
		<?php if ( $iframeaccount = $this->app->adapter->sessionGet('bookzo.accountname') ) : ?>
			<input type="hidden" name="account" value="<?php echo $iframeaccount; ?>" />
		<?php endif; ?>
	</form>
	
	
</div>