<?php
/**
 * @package   bookzo
 * @author    Invenda  http://www.invenda.nl
 * @copyright Copyright (C) Invenda
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

/**
 * Base View class
 *
 * @package Framework.Classes
 */
class BzViewFavourites extends BView {
	
	public function display()
	{
		$this->app->adapter->sessionClear('bookzo.search.query');
		$this->app->adapter->sessionClear('bookzo.search.options');
		$this->app->adapter->sessionClear('bookzo.search.results');
		
		## NOTE - We should throw 404 if not found
		$objects 	= $this->get('List');
		$total	 	= $this->get('Total');
		$pagination = $this->get('Pagination');
		
		// get the filter widget
		$filters = $this->app->widget->get('filters');
		
		// set page type
		$pagetype	= 'favourites';


		echo $this->renderer->render('favourites', compact('objects', 'total', 'filters', 'pagination', 'favourites'));
	}
}